clc
clear
close all
% dimensiones:
d1 = 0.150;
a2 = 0.170;
a3 = 0.110;
% parmetros DH (tita, d, a, alfa, sigma):
dh = [0 d1  0 pi/2 0;
    0  0 a2    0 0;
    0  0 a3    0 0];
% objeto:
R = SerialLink(dh);
% offset en articulaciones:
R.offset = [0 pi/2 0];
% posicin a mostrar:
q = [2.14 -1.13 1.76];
% espacio de trabajo (-x, +x, -y, +y, -z, +z):
ws = [-.4, .4,-.4, .4, 0 d1+a2+a3];
% plot modelos 3D:
R.plot3d(q,'path',pwd,'workspace',ws)
%R.plot(q,'workspace',ws)
% panel para mover articulaciones:
R.teach